XpGetAttributes(3Xp)

NAME
XpGetAttributes - Gets an attribute pool from the specified print context.

SYNOPSIS
      cc [ flag... ] file... -lXp [ library... ]
      #include <X11/extensions/Print.h>

char *XpGetAttributes ( display, context, type )
      Display *display;
      XPContext context;
      XPAttributes type;

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

context
    The print context from which the attribute pool is to be retrieved.

type
    Specifies the attribute pool.

DESCRIPTION

XpGetAttributes returns a pool, a COMPOUND_TEXT resource string representing the attribute pool specified by type. The caller is expected to free pool when it is no longer needed using XFree. The attribute pool (hence the resource string) consists of many name-value pairs (for example, "copy-count: 3"). The syntax of an attribute pool is the same as an X resource file (see "Resource File Syntax" in the Xlib specification). Valid characters for each name (left hand side) are derived from the Posix which is "a"-"z" and "A"="Z" and"0"-"9" and "_" and "-". Valid characters for each value (right hand side) are all characters except NULL and unescaped NEWLINE, though all predefined values in the X Print Service are confined to X Portable Character Set (XPCS) characters. Non XPCS values are typically limited to localized "description" strings. See XpCreateContext regarding the locale hint for more information on localized values. If any errors occur, XpGetAttributes returns NULL.

STRUCTURES
The values for the typedef XPAttributes in <X11/extensions/Print.h> are:
 #define  XPJobAttr		1
 #define  XPDocAttr		2
 #define  XPPageAttr	3
 #define  XPPrinterAttr	4
 #define  XPServerAttr	5

DIAGNOSTICS

BadAlloc
    Insufficient memory.

BadValue
    The value specified for type is not valid.

XPBadContext
    The specified print context-id is not valid.

FILES
<X11/extensions/Print.h>

SEE ALSO
XpCreateContext(3Xp)